/*
Object class use to represent action keywords. Stores both the textual
representation of the word as well as the weight. Default weight for this
study is 1 as only unique words have been selected, but system has been designed
for extension of this.

Developed by Soham Hanuman Singh, sngsoh004@myuct.ac.za
*/

public class Keyword 
{
    public String word;
    public double weight;
    
    public Keyword()
    {
        word="";
        weight = 1;
    }
    
    public Keyword(String word) //this study will use this constructor
    {
        this.word = word;
        weight = 1;
    }
    
    public Keyword(String word, double w) //design can be extended to use custom weights using this constructor.
    {
        this.word = word;
        weight = w;
    }
}
