/*
Object class use to represent individual words. Stores both the textual
representation of the word as well as the type (i.e. verb, noun etc.).

Developed by Soham Hanuman Singh, sngsoh004@myuct.ac.za
*/

public class Word 
{
    String type;
    String text;
    
    public Word()
    {
        text = "";
        type="";
    }
    
    public Word(String word) //splits the word to store both the textual representation and type
    {
        if (word.contains("_"))
        {
            text = word.substring(0, word.indexOf("_"));
            type = word.substring(word.indexOf("_")+1);
        }
        else
        {
            this.text = word;
            type="";
        }
    }
    
    public Word(String word, String ty)
    {
        text = word;
        type = ty;
    }
}
